import request from "@/scripts/httpRequest"

// /data/api-v//

export const queryOperationLog = (data: any) => {
  return request({
    url: "/data/api-v/log/queryOperationLog",
    method: "post",
    data
  })
}

export const getOperations = (query: any) => {
  return request({
    url: "/data/api-v/log/operations",
    method: "get",
    params: query
  })
}
export const getModules = (query: any) => {
  return request({
    url: "/data/api-v/log/modules",
    method: "get",
    params: query
  })
}
export const queryScheduleLog = (data: any) => {
  return request({
    url: "/data/api-v/log/queryScheduleLog",
    method: "post",
    data
  })
}
export const queryDataPushLog = (data: any) => {
  return request({
    url: "/data/api-v/log/ruleServerLog",
    method: "post",
    data
  })
}
export const queryVaSystemLog = (data: any) => {
  return request({
    url: "/data/api-v/log/vaSystemLog",
    method: "post",
    data
  })
}
export const queryProcName = () => {
  return request({
    url: "/data/api-v/log/procNames",
    method: "get"
  })
}
